Project

General

Profile

Bug #596

DDU - Does not install cardbus driver from OI repo

Added by Matt Wilby almost 9 years ago. Updated over 8 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
2011-01-01
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

Running DDU detects a problem with my Texas Instruments PCI7420/7620 Combo Cardbus, 1394a-2000 OHCI and SD/MS-Pro Controller.

Detects the driver as IPS. Selecting info provides this information,

Driver URL:openindiana.org
node name: pci104d,8190
Vendor: Texas Instruments
Device: PCI7420/7620 Combo CardBus, 1394a-2000 OHCI and SD/MS-Pro Controller
Sub-Vendor: Sony Corporation
binding name: pci104d,8190
devfs path: /pci@0,0/pci8086,2448@1e/pci104d,8190
pci path: 6,5,3
compatible name: (pci104c,ac8f.104d.8190.0)(pci104c,ac8f.104d.8190)(pci104d,8190)(pci104c,ac8f.0)(pci104c,ac8f)(pciclass,018000)(pciclass,0180)
driver name: unknown
acpi-namespace: _SB_.PCI0.PCIB.MMST
assigned-addresses: 82062b10
reg: 62b00
compatible: pci104c,ac8f.104d.8190.0
model: Mass storage controller
power-consumption: 1
devsel-speed: 1
interrupts: 2
max-latency: 4
min-grant: 7
subsystem-vendor-id: 104d
subsystem-id: 8190
unit-address: 5,3
class-code: 18000
revision-id: 0
vendor-id: 104c
device-id: ac8f

The driver is identified as ",5.11-0.148" on the openindiana repository.

After selecting install it gos through the process of creating a plan, but then I'm greeted with no update is required.

History

#1

Updated by Matt Wilby almost 9 years ago

root@openindiana:~# pkg install -v pkg:,5.11-0.148
No updates necessary for this image.

root@openindiana:~# pkg list ata
NAME (PUBLISHER) VERSION STATE UFOXI
driver/storage/ata 0.5.11-0.148 installed -----

#2

Updated by Albert Lee over 8 years ago

There is no driver for this device. It's not clear if any free operating systems support it.

#3

Updated by Ken Mays over 8 years ago

  • Status changed from New to Feedback
  • Target version changed from oi_148 to oi_151

The TI 72xx/76xx adapters are supported under the Linux kernel through the tifm_7xx1 module.
This "bug" could be resubmitted as an "RFE" for either Illumos/Oracle to review as a possibility or a 'will not fix issue'. Currently, it is "unsupported" at this time and this bug should be closed and resubmitted as an RFE.

#4

Updated by Julian Wiesener over 8 years ago

  • Status changed from Feedback to Closed
  • Difficulty set to Medium
  • Tags set to needs-triage

Also available in: Atom PDF